"use strict";
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
/* prettier-ignore */
Object.defineProperty(exports, "__esModule", { value: true });
exports.UploaderFactory = void 0;
const tslib_1 = require("tslib");
const firebase = tslib_1.__importStar(require("firebase"));
const AuthenticationService_1 = require("../services/AuthenticationService");
const firebaseConfig = {
    'apiKey': 'AIzaSyAoOPeU11WN8_LjVI1DS1MI4Aa2kZUY_Jg',
    'authDomain': 'kuroco-dev.firebaseapp.com',
    'databaseURL': 'https://kuroco-dev.firebaseio.com',
    'projectId': 'kuroco-dev',
    'storageBucket': 'kuroco-dev.appspot.com',
    'messagingSenderId': '234171414483',
    'appId': '1:234171414483:web:71ae2d6c90c27e3963e126',
    'measurementId': 'G-KLPKJ07DD9',
};
/**
 * Create Uploader.
 */
class UploaderFactory {
    static async create(params) {
        if (!this.storage) {
            const { token } = await AuthenticationService_1.AuthenticationService.postAuthenticationServiceRcmsApi1FirebaseToken(params);
            const app = firebase.initializeApp(firebaseConfig);
            await app.auth().signInWithCustomToken(token);
            this.storage = firebase.storage();
        }
        return new FirebaseStorageUploader(this.storage);
    }
}
exports.UploaderFactory = UploaderFactory;
/**
 * Uploader using firebase storage.
 */
class UploaderBase {
    constructor() {
        /** the path of the directory where to the uploading target. */
        this._dirPath = `/files/temp`; // default
    }
    set dirPath(dirPath) {
        this._dirPath = dirPath;
    }
    getMetas(file, index) {
        const fileName = this.generateUniqueIdentifier(file, index);
        const dirPath = this._dirPath;
        const path = `${dirPath}/${fileName}`.slice(1);
        return {
            fileName,
            dirPath,
            path,
            contentType: file.type,
        };
    }
    generateUniqueIdentifier(file, index) {
        let relativePath = file.relativePath || file.webkitRelativePath || file.fileName || file.name;
        let time = new Date().getTime();
        return `${time}_${relativePath.replace(/[^0-9a-zA-Z_-]/gim, '')}_${index}`;
    }
}
/**
 * Uploader using firebase storage.
 */
class FirebaseStorageUploader extends UploaderBase {
    constructor(firebaseStorage) {
        super();
        this.firebaseStorage = firebaseStorage;
    }
    async upload(file, index = 0) {
        try {
            const meta = this.getMetas(file, index);
            const ref = this.firebaseStorage.ref(meta.dirPath);
            const snapshot = await ref.child(`/${meta.fileName}`).put(file, {
                contentType: meta.contentType,
            });
            const url = await snapshot.ref.getDownloadURL();
            return {
                url,
                file_id: meta.path,
                ...meta,
            };
        }
        catch (e) {
            console.error(e);
            throw e;
        }
    }
}
