"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer_1 = __importDefault(require("inquirer"));
const prompts_1 = require("./prompts");
const fs_extra_1 = __importDefault(require("fs-extra"));
const path_1 = __importDefault(require("path"));
const __base_1 = require("../__base");
function init(options) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const { answers, outputPath } = yield inquiry(options);
            __base_1.handleSuccess(`The configuration file was exported at: ${outputPath}`, JSON.stringify(answers, null, '\t'));
        }
        catch (e) {
            __base_1.handleError(e);
        }
    });
}
exports.init = init;
function inquiry({ write = true }) {
    return __awaiter(this, void 0, void 0, function* () {
        const answers = yield inquirer_1.default.prompt(prompts_1.prompts);
        const outputPath = path_1.default.resolve(process.cwd(), 'kuroco.config.json');
        if (write) {
            fs_extra_1.default.writeJSONSync(outputPath, answers, {
                spaces: '\t',
            });
        }
        return {
            answers,
            outputPath,
        };
    });
}
exports.inquiry = inquiry;
