export declare class TopicsService {
    /**
     * お知らせ一覧
     *
     * ### **Topics::list (v1)**
     *
     *
     * @param topicsGroupId Topics group ID
     * @param outputFormat Format (json|xml|csv)
     * @param lang Language
     * @param charset Charset
     * @param cnt Number of topics per page
     * @param pageId Page ID
     * @param customSearchId search contdition
     * @param topicsKeyword Keyword
     * @param topicsKeywordCond Change the way of narrowing down by keyword (Default: AND)
     * @param contentsType The ID from the displayed category. All data will be displayed when this is not set.
     * @param contentsTypeCond Change the way of narrowing down by category ID (Default: OR)
     * @param date Date
     * @param usingSeason Use season (Yes: 1 | No: 0)
     * @param season Season
     * @param extColumnCond ext_column condition type (Default:OR)<br>
     * To specify an ext_col number set: 'ext_column_{no}_cond'
     * @param excludeTopicsId IDs of the excluded topics
     * @param tagCategoryId ID of the tag category to be displayed. (Default: All)
     * @param tagSearch narrowed by the value of the tag id.  yes:1 no:0
     * @param tagId Tag IDs that you would like to display
     * @param tagCond Change the way to narrow down tags (Default: OR)
     * @param excludeTagId Tag IDs that you would like to hide
     * @param myFavoriteList
     * @param myCommentList
     * @param myOwnList
     * @param order Set the sort order. Available param {0}
     * @param orderById
     * @param id IDs of the displayed topics
     * @result any
     * @throws ApiError
     */
    static getTopicsServiceRcmsApi1Topics1(requestParam: TopicsService.getTopicsServiceRcmsApi1Topics1Request): Promise<any>;
    /**
     * お知らせ詳細
     *
     * ### **Topics::details (v1)**
     *
     *
     * @param topicsId
     * @param outputFormat Format (json|xml|csv)
     * @param lang Language
     * @param charset Charset
     * @result any
     * @throws ApiError
     */
    static getTopicsServiceRcmsApi1Topics1TopicsId(requestParam: TopicsService.getTopicsServiceRcmsApi1Topics1TopicsIdRequest): Promise<any>;
}
export declare namespace TopicsService {
    interface getTopicsServiceRcmsApi1Topics1Request {
        topicsGroupId: Array<string>;
        outputFormat?: string;
        lang?: string;
        charset?: string;
        cnt?: number;
        pageId?: number;
        customSearchId?: string;
        topicsKeyword?: string;
        topicsKeywordCond?: string;
        contentsType?: Array<number>;
        contentsTypeCond?: string;
        date?: string;
        usingSeason?: string;
        season?: number;
        extColumnCond?: string;
        excludeTopicsId?: string;
        tagCategoryId?: number;
        tagSearch?: string;
        tagId?: Array<number>;
        tagCond?: string;
        excludeTagId?: string;
        myFavoriteList?: number;
        myCommentList?: number;
        myOwnList?: string;
        order?: string;
        orderById?: string;
        id?: Array<number>;
    }
    type getTopicsServiceRcmsApi1Topics1Response = any;
    interface getTopicsServiceRcmsApi1Topics1TopicsIdRequest {
        topicsId: number;
        outputFormat?: string;
        lang?: string;
        charset?: string;
    }
    type getTopicsServiceRcmsApi1Topics1TopicsIdResponse = any;
}
//# sourceMappingURL=TopicsService.d.ts.map