export declare abstract class ValidatorBase {
    type: string;
    name: string;
    message: string;
    private _validatorTypes;
    protected get validatorTypes(): ValidatorType[];
    protected set validatorTypes(validatorTypes: ValidatorType[]);
    protected validate(testee: any): boolean | string;
}
export declare enum ValidatorType {
    exists = "exists",
    stringType = "stringType",
    numberType = "numberType",
    alphanumeric = "alphanumeric",
    alphanumericSymbol = "alphanumericSymbol",
    port = "isPort",
    path = "path",
    URL = "URL"
}
export declare enum ValidatorKey {
    SdkKey = "sdk_key",
    ApiUrl = "api_url"
}
export declare type Validator = ValidatorBase & {
    validate: Function;
    default?: string;
};
//# sourceMappingURL=_base.d.ts.map